//*************************************************************************************************
//
// JUMA-TX500/136 Transmitter Controller
// F4GCB 08.2015
//
// Microchip MPLAB + C30 compiler
// MCU dsPIC30F6014A
//
// Generates a JASON message from string
//
//*************************************************************************************************


#ifndef JASON_H
#define JASON_H

	// Variables
	extern int jason_shift;							// TX JASON shift for DDS

	// Functions
	extern long jason_get_period(int);				// Return the period in ms for one tone in function of the speed
	extern void jason_set_playing(int);				// Set the symbol playing, keyer reserved, 1=playing
	extern char *jason_get_display(char *);			// Return transmitted JASON characters buffer for display
	extern void jason_init_beacon(const char *);	// Init JASON beacon
	extern int jason_run_beacon(void);				// Beacon logic, called continously from main
	extern void jason_char_irq(void);				// JASON character generator 1ms IRQ

#endif
