//*************************************************************************************************
//
// JUMA-TX500/136 Transmitter Controller
// F4GCB 07.2016
//
// Microchip MPLAB + C30 compiler
// MCU dsPIC30F6014A
//
// Generates a JT9 message from 13 characters string
//
// Acknowledgement :
// The JT9 message algorithm is derived from Fortran files found in the K1JT WSJTX source code.
// Portions of the JT9 message algorithm is the work of Andy Talbot, G4JNT
// Portions of this code is derived from the work of Jason Milldrum
//
//*************************************************************************************************

#ifndef JT9_H
#define JT9_H

	// Variables
	extern int jt9_shift[9];												// TX JT9 shift for DDS

	// Functions
	extern int jt9_get_period(int);											// Return the period in ms for one symbol in function of the speed
	extern void jt9_set_playing(int);										// Set the symbol playing
	extern char *jt9_get_code(char *);										// Return transmitted JT9 symbol value
	extern void jt9_init_beacon(const char *);								// Init JT9 beacon
	extern int jt9_run_beacon(int, int, int);								// Run JT9 beacon
	extern void jt9_sym_irq(void);											// Beacon JT9 generator

#endif
