//*************************************************************************************************
//
// JUMA-TX500/136 Transmitter Controller
// F4GCB 05.2015
//
// Microchip MPLAB + C30 compiler
// MCU dsPIC30F6014A
//
// Generates an OPERA message from call to a symbol/tone
//
// Acknowledgement :
// Portions of this OPERA code is derived from the work of EA5HVK
//
// Bug fixed: timer correction for waiting time to 0 - F4GCB 04.2016
//
//*************************************************************************************************

#ifndef OPERA_H
#define OPERA_H

	extern int opera_get_period(int);							// Return the period in ms for one symbol in function of the speed
	extern void opera_set_playing(int);							// Set the symbol playing
	extern char *opera_get_code(char *);						// Return transmitted OPERA symbol value
	extern void opera_init_beacon(const char *);				// Init OPERA beacon
	extern int opera_run_beacon(int, int, long *);				// Run OPERA beacon
	extern void opera_sym_irq(void);							// Beacon OPERA generator

#endif
