//*************************************************************************************************
//
// JUMA-TX500/136 Transmitter Controller
// F4GCB 06.2016
//
// Microchip MPLAB + C30 compiler
// MCU dsPIC30F6014A
//
// Generates a WSQ message from string
//
//*************************************************************************************************


#ifndef WSQ_H
#define WSQ_H

	// Variables
	extern int wsq_shift;							// TX WSQ shift for DDS

	// Functions
	extern long wsq_get_period(void);				// Return the period in ms for one WSQ2 tone
	extern void wsq_set_playing(int);				// Set the symbol playing, keyer reserved, 1=playing
	extern char *wsq_get_display(char *);			// Return transmitted WSQ characters buffer for display
	extern void wsq_init_beacon(const char *);		// Init WSQ beacon
	extern int wsq_run_beacon(void);				// Beacon logic, called continously from main
	extern void wsq_char_irq(void);					// WSQ character generator 1ms IRQ

#endif
